INTERFACE
SUBROUTINE SLCOMM2(KASLB1,KSLPROCS,KSLRPT,&
 & KSLSPT,KSLSENDPOS,KSLRECVPOS,KSENDPTR,KRECVPTR,KSLCOMM,&
 & KFIXFLD,KMASK1,KMASK2,&
 & KFLDSLB,LDINC,PB1A,LDSLCOMM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KSLPROCS
INTEGER(KIND=JPIM),INTENT(IN) :: KSLRPT
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSPT
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSLB
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSENDPOS(KSLSPT)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLRECVPOS(KSLRPT)
INTEGER(KIND=JPIM),INTENT(IN) :: KSENDPTR(KSLPROCS+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KRECVPTR(KSLPROCS+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLCOMM(KSLPROCS)
INTEGER(KIND=JPIM),INTENT(IN) :: KFIXFLD(2)
INTEGER(KIND=JPIM),INTENT(IN) :: KMASK1(KASLB1+4)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMASK2(KASLB1+4)
LOGICAL ,INTENT(IN) :: LDINC
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1A(KASLB1,KFLDSLB)
LOGICAL,OPTIONAL ,INTENT(IN) :: LDSLCOMM(KSLPROCS)
END SUBROUTINE SLCOMM2
END INTERFACE
